EXTRACTRC(1)

NAME
extractrc - extract message strings from UI and XML GUI files

SYNOPSIS
extractrc [ --tag-group=group ] [ --tag=name ... ] [ --context=name ] file ...

extractrc --help

DESCRIPTION
extractrc finds all text tags and other message strings within the given files. It then writes the corresponding i18n() calls to standard output (usually redirected to rc.cpp) so that xgettext can parse them.

It understands both Qt designer (.ui) files and XML GUI (.rc) files.

This utility is part of the TDE Software Development Kit.

OPTIONS
Note that the old --lines option is deprecated; source line numbers are now always included in comments.

--tag-group=group
    Use a predefined group of tags that we are interested in. Valid groups are default, koffice and none. The default group will be used if this option is omitted.

--tag=name
    Extract also the contents of the tag name. This option may be used multiple times (e.g., --tag=tag_one --tag=tag_two).

--context=name
    Give all i18n() calls the given context: i18n("name", ...).

--help
    Display a summary of options.

AUTHOR
This utility was written by Richard Evans <rich@ridas.com> and others.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).